'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var reactRouterPreloadCore = require('react-router-preload-core');
var reactPreloadCore = require('react-preload-core');

function createLink$1() {
  var preloadVisitorFns = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

  return reactRouterPreloadCore.createLink(function (rootElement, rootContext) {
    return reactPreloadCore.preloadTree(rootElement, rootContext, true, preloadVisitorFns);
  });
}

exports.createLink = createLink$1;
