import { createLink } from 'react-router-preload-core';
import { preloadTree } from 'react-preload-core';

function createLink$1() {
  var preloadVisitorFns = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

  return createLink(function (rootElement, rootContext) {
    return preloadTree(rootElement, rootContext, true, preloadVisitorFns);
  });
}

export { createLink$1 as createLink };
